This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 851165 - (CVE-2012-3495) CVE-2012-3495 kernel: xen: hypercall physdev_get_free_pirq vulnerability
CVE-2012-3495 kernel: xen: hypercall physdev_get_free_pirq vulnerability
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120905,repor...
: Security
Depends On: 854589
Blocks: 851204
  Show dependency treegraph
 
Reported: 2012-08-23 07:55 EDT by Petr Matousek
Modified: 2015-11-06 11:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-08-23 07:55:46 EDT
PHYSDEVOP_get_free_pirq does not check that its call to get_free_pirq succeeded, and if it fails will use the error code as an array index.

A malicious guest might be able to cause the host to crash, leading to a DoS, depending on the exact memory layout.  Privilege escalation is a theoretical possibility which cannot be ruled out, but is considered unlikely

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue. Upstream acknowledges Matthew Daley as the original reporter.
Comment 3 Petr Matousek 2012-08-23 07:57:31 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2012-09-05 07:43:07 EDT
Now public via:

http://seclists.org/oss-sec/2012/q3/377
Comment 5 Petr Matousek 2012-09-05 07:44:35 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 854589]
Comment 6 Fedora Update System 2012-09-17 13:59:57 EDT
xen-4.1.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.